<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b5330d58-14fd-4044-8da1-5b18cba9c975" name="Default" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="Attribute.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../../Attribute.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="15062">
              <caret line="886" column="36" lean-forward="false" selection-start-line="886" selection-start-column="25" selection-end-line="886" selection-end-column="36" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="keyboard_key.xml" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/keyboard_key.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="409">
              <caret line="208" column="39" lean-forward="false" selection-start-line="208" selection-start-column="39" selection-end-line="208" selection-end-column="39" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Mouse_key.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Mouse_key.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2618">
              <caret line="297" column="0" lean-forward="false" selection-start-line="297" selection-start-column="0" selection-end-line="297" selection-end-column="0" />
              <folding>
                <element signature="n#Combo#0;n#VerticalLayout#0;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
                <element signature="n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
                <element signature="n#HorizontalLayout#0;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
                <element signature="n#HorizontalLayout#1;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
                <element signature="n#HorizontalLayout#2;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
                <element signature="n#Button#0;n#HorizontalLayout#2;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
                <element signature="n#VerticalLayout#2;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="keyboard_deng.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/keyboard_deng.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3213">
              <caret line="817" column="40" lean-forward="false" selection-start-line="817" selection-start-column="40" selection-end-line="817" selection-end-column="40" />
              <folding>
                <element signature="n#VerticalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Mouse_macro.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Mouse_macro.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="986">
              <caret line="58" column="63" lean-forward="false" selection-start-line="58" selection-start-column="63" selection-end-line="58" selection-end-column="63" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="keyboard_macro.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/keyboard_macro.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="782">
              <caret line="46" column="63" lean-forward="false" selection-start-line="46" selection-start-column="63" selection-end-line="46" selection-end-column="63" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Mouse_deng.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Mouse_deng.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1496">
              <caret line="88" column="143" lean-forward="false" selection-start-line="88" selection-start-column="143" selection-end-line="88" selection-end-column="143" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="MousePad_deng.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/MousePad_deng.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="119">
              <caret line="7" column="131" lean-forward="false" selection-start-line="7" selection-start-column="131" selection-end-line="7" selection-end-column="131" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="main.xml" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/main.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="595">
              <caret line="35" column="225" lean-forward="false" selection-start-line="35" selection-start-column="225" selection-end-line="35" selection-end-column="225" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>ms_key_fct_</find>
      <find>Fn</find>
      <find>MS</find>
      <find>visible</find>
      <find>/&gt;</find>
      <find>ms_key_fct_edit_17</find>
      <find>ms_key_fct_edit_18</find>
      <find>ms_key_fct_edit_19</find>
      <find>Button</find>
      <find>itemselectedbkcolor</find>
      <find>FF</find>
      <find>Combo</find>
      <find>Edit</find>
      <find>kb_deng_combo_model</find>
    </findStrings>
    <replaceStrings>
      <replace>/&gt;</replace>
    </replaceStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/../../属性列表.xml" />
        <option value="$PROJECT_DIR$/keyboard_deng3.xml" />
        <option value="$PROJECT_DIR$/keyboard_macro.xml" />
        <option value="$PROJECT_DIR$/Mouse_macro.xml" />
        <option value="$PROJECT_DIR$/MousePad_deng.xml" />
        <option value="$PROJECT_DIR$/Mouse_deng.xml" />
        <option value="$PROJECT_DIR$/keyboard_deng.xml" />
        <option value="$PROJECT_DIR$/main.xml" />
        <option value="$PROJECT_DIR$/Mouse_key.xml" />
        <option value="$PROJECT_DIR$/keyboard_key.xml" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" />
  <component name="ProjectFrameBounds">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="2576" />
    <option name="height" value="1416" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="Scratches" />
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="Skin" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="Skin" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path" value="D:/nodejs/node" />
    <property name="js.eslint.eslintPackage" value="" />
    <property name="settings.editor.selected.configurable" value="copyright.profiles" />
    <property name="js-jscs-nodeInterpreter" value="D:\nodejs\node.exe" />
  </component>
  <component name="RunManager">
    <configuration default="true" type="JavaScriptTestRunnerProtractor" factoryName="Protractor">
      <config-file value="" />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="JavascriptDebugType" factoryName="JavaScript Debug">
      <method />
    </configuration>
    <configuration default="true" type="NodeJSConfigurationType" factoryName="Node.js" path-to-node="project" working-dir="">
      <method />
    </configuration>
    <configuration default="true" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpBehatConfigurationType" factoryName="Behat">
      <BehatRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpLocalRunConfigurationType" factoryName="PHP Console">
      <method />
    </configuration>
    <configuration default="true" type="PhpSpecConfigurationType" factoryName="PHPSpec">
      <PhpTestRunnerSettings />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.npm" factoryName="npm">
      <command value="run" />
      <scripts />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="mocha-javascript-test-runner" factoryName="Mocha">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <working-directory />
      <pass-parent-env>true</pass-parent-env>
      <envs />
      <ui />
      <extra-mocha-options />
      <test-kind>DIRECTORY</test-kind>
      <test-directory />
      <recursive>false</recursive>
      <method />
    </configuration>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b5330d58-14fd-4044-8da1-5b18cba9c975" name="Default" comment="" />
      <created>1505197143518</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1505197143518</updated>
      <workItem from="1505197144686" duration="10563000" />
      <workItem from="1505218000669" duration="1560000" />
      <workItem from="1505352876529" duration="11717000" />
      <workItem from="1505370027030" duration="846000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="24686000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="2576" height="1416" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.14904611" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="false" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="processedProjectFiles" value="true" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager />
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/../../Attribute.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15062">
          <caret line="886" column="36" lean-forward="false" selection-start-line="886" selection-start-column="25" selection-end-line="886" selection-end-column="36" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_key.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_key.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2618">
          <caret line="297" column="0" lean-forward="false" selection-start-line="297" selection-start-column="0" selection-end-line="297" selection-end-column="0" />
          <folding>
            <element signature="n#Combo#0;n#VerticalLayout#0;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#0;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#1;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#2;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#Button#0;n#HorizontalLayout#2;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#VerticalLayout#2;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3213">
          <caret line="817" column="40" lean-forward="false" selection-start-line="817" selection-start-column="40" selection-end-line="817" selection-end-column="40" />
          <folding>
            <element signature="n#VerticalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_macro.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="986">
          <caret line="58" column="63" lean-forward="false" selection-start-line="58" selection-start-column="63" selection-end-line="58" selection-end-column="63" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_macro.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="782">
          <caret line="46" column="63" lean-forward="false" selection-start-line="46" selection-start-column="63" selection-end-line="46" selection-end-column="63" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1496">
          <caret line="88" column="143" lean-forward="false" selection-start-line="88" selection-start-column="143" selection-end-line="88" selection-end-column="143" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MousePad_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="131" lean-forward="false" selection-start-line="7" selection-start-column="131" selection-end-line="7" selection-end-column="131" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="595">
          <caret line="35" column="225" lean-forward="false" selection-start-line="35" selection-start-column="225" selection-end-line="35" selection-end-column="225" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../Attribute.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="11016">
          <caret line="648" column="30" lean-forward="false" selection-start-line="648" selection-start-column="25" selection-end-line="648" selection-end-column="30" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_key.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="16660">
          <caret line="980" column="26" lean-forward="false" selection-start-line="980" selection-start-column="26" selection-end-line="980" selection-end-column="26" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_key.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding>
            <element signature="n#Combo#0;n#VerticalLayout#0;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#0;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#1;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#2;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#Button#0;n#HorizontalLayout#2;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#VerticalLayout#2;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="11254">
          <caret line="662" column="187" lean-forward="false" selection-start-line="662" selection-start-column="187" selection-end-line="662" selection-end-column="187" />
          <folding>
            <element signature="n#VerticalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_macro.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2873">
          <caret line="169" column="83" lean-forward="false" selection-start-line="169" selection-start-column="83" selection-end-line="169" selection-end-column="107" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_macro.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2346">
          <caret line="138" column="152" lean-forward="false" selection-start-line="138" selection-start-column="152" selection-end-line="138" selection-end-column="152" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1683">
          <caret line="99" column="187" lean-forward="false" selection-start-line="99" selection-start-column="187" selection-end-line="99" selection-end-column="187" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MousePad_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2822">
          <caret line="166" column="74" lean-forward="true" selection-start-line="166" selection-start-column="74" selection-end-line="166" selection-end-column="74" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="8313">
          <caret line="712" column="54" lean-forward="true" selection-start-line="712" selection-start-column="54" selection-end-line="712" selection-end-column="54" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../Attribute.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="11016">
          <caret line="648" column="30" lean-forward="false" selection-start-line="648" selection-start-column="25" selection-end-line="648" selection-end-column="30" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_key.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="16660">
          <caret line="980" column="26" lean-forward="false" selection-start-line="980" selection-start-column="26" selection-end-line="980" selection-end-column="26" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_key.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="850">
          <caret line="193" column="53" lean-forward="false" selection-start-line="193" selection-start-column="53" selection-end-line="193" selection-end-column="53" />
          <folding>
            <element signature="n#Combo#0;n#VerticalLayout#0;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#0;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#1;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#2;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#Button#0;n#HorizontalLayout#2;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#VerticalLayout#2;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="11254">
          <caret line="662" column="187" lean-forward="false" selection-start-line="662" selection-start-column="187" selection-end-line="662" selection-end-column="187" />
          <folding>
            <element signature="n#VerticalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_macro.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2873">
          <caret line="169" column="83" lean-forward="false" selection-start-line="169" selection-start-column="83" selection-end-line="169" selection-end-column="107" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_macro.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2346">
          <caret line="138" column="152" lean-forward="false" selection-start-line="138" selection-start-column="152" selection-end-line="138" selection-end-column="152" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1683">
          <caret line="99" column="187" lean-forward="false" selection-start-line="99" selection-start-column="187" selection-end-line="99" selection-end-column="187" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MousePad_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2822">
          <caret line="166" column="195" lean-forward="false" selection-start-line="166" selection-start-column="195" selection-end-line="166" selection-end-column="195" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="8330">
          <caret line="712" column="65" lean-forward="false" selection-start-line="712" selection-start-column="65" selection-end-line="712" selection-end-column="65" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/鼠标2.png">
      <provider selected="true" editor-type-id="images">
        <state />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../属性列表.xml" />
    <entry file="file://$PROJECT_DIR$/keyboard_deng3.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1127">
          <caret line="1134" column="9" lean-forward="true" selection-start-line="1134" selection-start-column="9" selection-end-line="1134" selection-end-column="9" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_macro.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="986">
          <caret line="58" column="63" lean-forward="false" selection-start-line="58" selection-start-column="63" selection-end-line="58" selection-end-column="63" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1496">
          <caret line="88" column="143" lean-forward="false" selection-start-line="88" selection-start-column="143" selection-end-line="88" selection-end-column="143" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_macro.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="782">
          <caret line="46" column="63" lean-forward="false" selection-start-line="46" selection-start-column="63" selection-end-line="46" selection-end-column="63" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3213">
          <caret line="817" column="40" lean-forward="false" selection-start-line="817" selection-start-column="40" selection-end-line="817" selection-end-column="40" />
          <folding>
            <element signature="n#VerticalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../Attribute.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15062">
          <caret line="886" column="36" lean-forward="false" selection-start-line="886" selection-start-column="25" selection-end-line="886" selection-end-column="36" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MousePad_deng.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="131" lean-forward="false" selection-start-line="7" selection-start-column="131" selection-end-line="7" selection-end-column="131" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="595">
          <caret line="35" column="225" lean-forward="false" selection-start-line="35" selection-start-column="225" selection-end-line="35" selection-end-column="225" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Mouse_key.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2618">
          <caret line="297" column="0" lean-forward="false" selection-start-line="297" selection-start-column="0" selection-end-line="297" selection-end-column="0" />
          <folding>
            <element signature="n#Combo#0;n#VerticalLayout#0;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#0;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#1;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#HorizontalLayout#2;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#Button#0;n#HorizontalLayout#2;n#VerticalLayout#1;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
            <element signature="n#VerticalLayout#2;n#HorizontalLayout#0;n#VerticalLayout#0;n#VerticalLayout#0;n#Window#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboard_key.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="409">
          <caret line="208" column="39" lean-forward="false" selection-start-line="208" selection-start-column="39" selection-end-line="208" selection-end-column="39" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="Copyright.UI">
        <settings>
          <last-edited>attribute</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.191" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>